View Issue Details

IDProjectCategoryView StatusLast Update
0029967LazarusOtherpublic2016-04-08 09:55
ReporterhdrzAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86, x64OSWindowsOS Version7 pro
Product Version1.6Product Build 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0029967: TTIGrid with FixedCols=0 does not draw property names in the column headers
DescriptionWhen using the released version of lazarus, either "Lazarus 1.2.6 r46529 FPC 2.6.4 i386-win32-win32/win64" or "Lazarus 1.6 FPC 3.0.0 x64-win32/win64", and setting FixedCols=0 on a TTIGrid instance, the property names are not painted in the column headers.
Steps To Reproduce1. Make sure RTTI controls package is compiled and installed.
2. Open the example project provided with lazarus: exampleprojectgrid1.lpr
3. Click on the TTIGrid instance, and change the property FixedCols to 0.
4. Compile and run.
Additional InformationAt the moment I only use windows, so no idea about other platforms.
TagsNo tags attached.
Fixed in Revision52145
LazTarget1.8
WidgetsetWin32/Win64
Attached Files

Activities

Jesus Reyes

2016-04-08 09:55

developer   ~0091836

Pleast test.

Issue History

Date Modified Username Field Change
2016-04-05 11:32 hdrz New Issue
2016-04-06 05:41 Jesus Reyes Assigned To => Jesus Reyes
2016-04-06 05:41 Jesus Reyes Status new => assigned
2016-04-08 09:55 Jesus Reyes Fixed in Revision => 52145
2016-04-08 09:55 Jesus Reyes LazTarget => 1.8
2016-04-08 09:55 Jesus Reyes Note Added: 0091836
2016-04-08 09:55 Jesus Reyes Status assigned => resolved
2016-04-08 09:55 Jesus Reyes Fixed in Version => 1.7 (SVN)
2016-04-08 09:55 Jesus Reyes Resolution open => fixed
2016-04-08 09:55 Jesus Reyes Target Version => 1.8